package com.sun.org.apache.xerces.internal.xpointer;

import com.sun.org.apache.xerces.internal.xni.Augmentations;
import com.sun.org.apache.xerces.internal.xni.XMLAttributes;
import com.sun.org.apache.xerces.internal.xni.QName;
import com.sun.org.apache.xerces.internal.xni.XNIException;

public interface XPointerProcessor
{
    public static final int EVENT_ELEMENT_START = 0;
    public static final int EVENT_ELEMENT_END = 1;
    public static final int EVENT_ELEMENT_EMPTY = 2;
    
    public abstract void parseXPointer(String p0) throws XNIException;
    
    public abstract boolean resolveXPointer(QName p0, XMLAttributes p1, Augmentations p2, int p3) throws XNIException;
    
    public abstract boolean isFragmentResolved() throws XNIException;
    
    public abstract boolean isXPointerResolved() throws XNIException;
}
